diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -132,7 +132,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleMessage *purple_message_new_outgoing(const gchar *author, const gchar *recipient, const gchar *contents, PurpleMessageFlags flags);
+PurpleMessage *purple_message_new_outgoing(const char *author, const char *recipient, const char *contents, PurpleMessageFlags flags);
 
 /**
  * purple_message_new_incoming:
@@ -150,7 +150,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleMessage *purple_message_new_incoming(const gchar *who, const gchar *contents, PurpleMessageFlags flags, guint64 timestamp);
+PurpleMessage *purple_message_new_incoming(const char *who, const char *contents, PurpleMessageFlags flags, guint64 timestamp);
 
 /**
  * purple_message_new_system:
@@ -166,7 +166,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleMessage *purple_message_new_system(const gchar *contents, PurpleMessageFlags flags);
+PurpleMessage *purple_message_new_system(const char *contents, PurpleMessageFlags flags);
 
 /**
  * purple_message_get_id:
@@ -180,7 +180,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_message_get_id(PurpleMessage *message);
+const char *purple_message_get_id(PurpleMessage *message);
 
 /**
  * purple_message_set_id:
@@ -208,7 +208,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_message_get_author(PurpleMessage *message);
+const char *purple_message_get_author(PurpleMessage *message);
 
 /**
  * purple_message_set_author_name_color:
@@ -223,7 +223,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_message_set_author_name_color(PurpleMessage *message, const gchar *color);
+void purple_message_set_author_name_color(PurpleMessage *message, const char *color);
 
 /**
  * purple_message_get_author_name_color:
@@ -236,7 +236,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_message_get_author_name_color(PurpleMessage *message);
+const char *purple_message_get_author_name_color(PurpleMessage *message);
 
 /**
  * purple_message_set_recipient:
@@ -248,7 +248,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_message_set_recipient(PurpleMessage *message, const gchar *recipient);
+void purple_message_set_recipient(PurpleMessage *message, const char *recipient);
 
 /**
  * purple_message_get_recipient:
@@ -261,7 +261,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_message_get_recipient(PurpleMessage *message);
+const char *purple_message_get_recipient(PurpleMessage *message);
 
 /**
  * purple_message_set_author_alias:
@@ -273,7 +273,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_message_set_author_alias(PurpleMessage *message, const gchar *alias);
+void purple_message_set_author_alias(PurpleMessage *message, const char *alias);
 
 /**
  * purple_message_get_author_alias:
@@ -286,7 +286,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_message_get_author_alias(PurpleMessage *message);
+const char *purple_message_get_author_alias(PurpleMessage *message);
 
 /**
  * purple_message_set_contents:
@@ -298,7 +298,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_message_set_contents(PurpleMessage *message, const gchar *cont);
+void purple_message_set_contents(PurpleMessage *message, const char *cont);
 
 /**
  * purple_message_get_contents:
@@ -311,7 +311,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_message_get_contents(PurpleMessage *message);
+const char *purple_message_get_contents(PurpleMessage *message);
 
 /**
  * purple_message_set_content_type:
@@ -389,7 +389,7 @@
  * Since: 3.0.0
  */
 PURPLE_AVAILABLE_IN_3_0
-gchar *purple_message_format_timestamp(PurpleMessage *message, const gchar *format);
+char *purple_message_format_timestamp(PurpleMessage *message, const char *format);
 
 /**
  * purple_message_set_flags:
# HG changeset patch
# Node ID 82fe539f851d
# Parent  2008e6b2af86
diff --git a/libpurple/purplemessage.c b/libpurple/purplemessage.c
--- a/libpurple/purplemessage.c
+++ b/libpurple/purplemessage.c
@@ -30,13 +30,13 @@
 struct _PurpleMessage {
 	GObject parent;
 
-	gchar *id;
-	gchar *author;
-	gchar *author_name_color;
-	gchar *author_alias;
-	gchar *recipient;
+	char *id;
+	char *author;
+	char *author_name_color;
+	char *author_alias;
+	char *recipient;
 
-	gchar *contents;
+	char *contents;
 	PurpleMessageContentType content_type;
 	gboolean action;
 
@@ -78,7 +78,7 @@
  * Helpers
  *****************************************************************************/
 static void
-purple_message_set_author(PurpleMessage *message, const gchar *author) {
+purple_message_set_author(PurpleMessage *message, const char *author) {
 	g_free(message->author);
 	message->author = g_strdup(author);
 
@@ -458,8 +458,8 @@
  * Public API
  *****************************************************************************/
 PurpleMessage *
-purple_message_new_outgoing(const gchar *author, const gchar *recipient,
-                            const gchar *contents, PurpleMessageFlags flags)
+purple_message_new_outgoing(const char *author, const char *recipient,
+                            const char *contents, PurpleMessageFlags flags)
 {
 	PurpleMessage *message = NULL;
 	GDateTime *dt = NULL;
@@ -485,7 +485,7 @@
 }
 
 PurpleMessage *
-purple_message_new_incoming(const gchar *who, const gchar *contents,
+purple_message_new_incoming(const char *who, const char *contents,
                             PurpleMessageFlags flags, guint64 timestamp)
 {
 	PurpleMessage *message = NULL;
@@ -516,7 +516,7 @@
 }
 
 PurpleMessage *
-purple_message_new_system(const gchar *contents, PurpleMessageFlags flags) {
+purple_message_new_system(const char *contents, PurpleMessageFlags flags) {
 	PurpleMessage *message = NULL;
 	GDateTime *dt = NULL;
 
@@ -537,7 +537,7 @@
 	return message;
 }
 
-const gchar *
+const char *
 purple_message_get_id(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), 0);
 
@@ -545,7 +545,7 @@
 }
 
 void
-purple_message_set_id(PurpleMessage *message, const gchar *id) {
+purple_message_set_id(PurpleMessage *message, const char *id) {
 	g_return_if_fail(PURPLE_IS_MESSAGE(message));
 
 	g_free(message->id);
@@ -554,7 +554,7 @@
 	g_object_notify_by_pspec(G_OBJECT(message), properties[PROP_ID]);
 }
 
-const gchar *
+const char *
 purple_message_get_author(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), NULL);
 
@@ -563,7 +563,7 @@
 
 void
 purple_message_set_author_name_color(PurpleMessage *message,
-                                     const gchar *color)
+                                     const char *color)
 {
 	g_return_if_fail(PURPLE_IS_MESSAGE(message));
 
@@ -574,7 +574,7 @@
 	                         properties[PROP_AUTHOR_NAME_COLOR]);
 }
 
-const gchar *
+const char *
 purple_message_get_author_name_color(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), NULL);
 
@@ -582,7 +582,7 @@
 }
 
 void
-purple_message_set_recipient(PurpleMessage *message, const gchar *recipient) {
+purple_message_set_recipient(PurpleMessage *message, const char *recipient) {
 	g_return_if_fail(PURPLE_IS_MESSAGE(message));
 
 	g_free(message->recipient);
@@ -591,7 +591,7 @@
 	g_object_notify_by_pspec(G_OBJECT(message), properties[PROP_RECIPIENT]);
 }
 
-const gchar *
+const char *
 purple_message_get_recipient(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), NULL);
 
@@ -600,7 +600,7 @@
 
 void
 purple_message_set_author_alias(PurpleMessage *message,
-                                const gchar *author_alias)
+                                const char *author_alias)
 {
 	g_return_if_fail(PURPLE_IS_MESSAGE(message));
 
@@ -610,7 +610,7 @@
 	g_object_notify_by_pspec(G_OBJECT(message), properties[PROP_AUTHOR_ALIAS]);
 }
 
-const gchar *
+const char *
 purple_message_get_author_alias(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), NULL);
 
@@ -621,7 +621,7 @@
 }
 
 void
-purple_message_set_contents(PurpleMessage *message, const gchar *contents) {
+purple_message_set_contents(PurpleMessage *message, const char *contents) {
 	g_return_if_fail(PURPLE_IS_MESSAGE(message));
 
 	g_free(message->contents);
@@ -630,7 +630,7 @@
 	g_object_notify_by_pspec(G_OBJECT(message), properties[PROP_CONTENTS]);
 }
 
-const gchar *
+const char *
 purple_message_get_contents(PurpleMessage *message) {
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), NULL);
 
@@ -686,8 +686,8 @@
 	return message->timestamp;
 }
 
-gchar *
-purple_message_format_timestamp(PurpleMessage *message, const gchar *format) {
+char *
+purple_message_format_timestamp(PurpleMessage *message, const char *format) {
 	GDateTime *dt = NULL;
 
 	g_return_val_if_fail(PURPLE_IS_MESSAGE(message), NULL);
